Bug 187425 - RFE: Better browsing configuration options
RFE: Better browsing configuration options
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-30 15:46 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-20 09:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-03-30 15:46:19 EST
I want to be able to configure outgoing browsing only, e.g.:

Browsing On
BrowseAddress @LOCAL            (needed to send)
BrowseOrder Deny,Allow
BrowseDeny All

Now, I would have exptected something like to the above to have been enabled
when I enable sharing for a individual printer, as how else am I going to share
it without sending browsing information?

Also, the current general browsing option is misleadingly named:

  "Automatically find remote shared queues"

as this is currently needed to enable outgoing browse information as well, but
it sounds only like incoming.

Version-Release number of selected component (if applicable):
Comment 1 Orion Poplawski 2006-03-30 15:52:09 EST

I needed to set:


to get outgoing to work.  Not sure why @LOCAL didn't work.
Comment 2 Tim Waugh 2006-06-20 09:36:39 EDT
Oh, yes, the logic is slightly screwy there.  It isn't meant to work that way. 
The idea was that if any queue was shared, a 'BrowseAddress' line would be
written out.  The 'Automatically find remote shared queues' option is overriding
that logic by mistake.

In Fedora Core 6 this will be done using a method very similar to the CUPS web
interface, and so this sort of problem should be fixed there.

Note You need to log in before you can comment on or make changes to this bug.